%global gem_name shotgun

Summary:        Automatic reloading version of the rackup command
Name:           rubygem-%{gem_name}
Version:        0.9
Release:        5%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://github.com/rtomayko/shotgun/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(release)
Requires:       ruby(rubygems)
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(minitest)
BuildRequires:  rubygem(rack)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
This is an automatic reloading version of the rackup command that's shipped
with Rack. It can be used as an alternative to the complex reloading logic
provided by web frameworks or in environments that don't support
application reloading.

The shotgun command starts one of Rack's supported servers (e.g., mongrel,
thin, webrick) and listens for requests but does not load any part of the
actual application. Each time a request is received, it forks, loads the
application in the child process, processes the request, and exits the
child process. The result is clean, application-wide reloading of all
source files and templates on each request.


%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}


%build


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{_bindir} -type f |xargs chmod a+x


%clean
rm -rf $RPM_BUILD_ROOT

%check
pushd %{buildroot}%{gem_instdir}
testrb -Ilib test
popd

%files
%defattr(-,root,root,-)
%{_bindir}/shotgun
%dir %{gem_instdir}
%doc %{gem_instdir}/man
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/shotgun.gemspec
%doc %{gem_instdir}/README
%doc %{gem_instdir}/COPYING
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-,root,root,-)
%{gem_instdir}/test
%{gem_instdir}/man
%{gem_instdir}/Rakefile
%{gem_docdir}


%changelog
* Mon Mar 11 2013 Josef Stribny <jstribny@redhat.com> - 0.9-5
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.9-2
- Rebuilt for Ruby 1.9.3.

* Sat Jan 07 2012 <stahnma@fedoraproject.org> - 0.9-1
- Rebuilt and update
- Fix bug  #715702

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 04 2010 Michael Stahnke <mastahnke@gmail.com> - 0.8-1
- New version
- No longer requires launchy
- Added %%check

* Thu Jan 07 2010 Michal Fojtik <mfojtik@redhat.com> - 0.4-1
- Version-Release
- Fixed documentation

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-1
- Package generated by gem2rpm
- Fix up License
